﻿using System;

namespace NTERA.Interpreter
{
    [AttributeUsage(AttributeTargets.Method)]
    public class TargetKeywordAttribute : Attribute
    {
        public Token Token { get; }

        public TargetKeywordAttribute(Token token)
        {
            Token = token;
        }
    }

    [AttributeUsage(AttributeTargets.Method)]
    public class BuiltInFunctionAttribute : Attribute
    {
        public string Name { get; }

        public BuiltInFunctionAttribute(string name)
        {
            Name = name;
        }
    }
}
