﻿
namespace NTERA.Interpreter
{
    public enum Token
    {
        Unkown,

        Global,
        Function,

        Identifer,
        Value,

        Dim,
        Const,

        DrawLine,
        DrawLineForm,
        Print,
        PrintL,
        PrintForm,
        PrintFormL,
        PrintImg,
        PrintButton,

        //Keywords
        If,
		EndIf,
        Then,
        Else,
        For,
        To,
        Next,
        Input,
        Let,
        Gosub,
        Return,
        Rem,
        End,

        NewLine,
        Colon,
        Semicolon,
        Comma,

        Plus,
        Minus,
        Slash,
        Asterisk,
        Caret,
        Equal,
        Less,
        More,
        NotEqual,
        LessEqual,
        MoreEqual,
        Or,
        And,
        Not,
        Times,

        LParen,
        RParen,

        EOF = -1   //End Of File
    }
}